## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}
%global gitdate 20240908
%global commit 504231850f206696faa58e3511e305a67fd4e565
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		neon2sse
Version:	0.0^%{gitdate}git%{shortcommit}
Release:	%autorelease
Summary:	Library intended to simplify ARM->IA32 porting

License:	BSD-2-Clause
URL:		https://github.com/intel/ARM_NEON_2_x86_SSE
Source0:	%{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# test code for vector addition
Source1:	test.c

BuildArch:	noarch
ExclusiveArch:	x86_64

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++

%description
The platform independent header allowing to compile any C/C++ code containing
ARM NEON intrinsic functions for x86 target systems using SIMD up to SSE4
intrinsic functions.

The NEON_2_SSE.h file is intended to simplify ARM->IA32 porting

%package devel
Summary:	Development files for %{name}
Provides:	%{name}-static = %{version}-%{release}

%description devel
The platform independent header allowing to compile any C/C++ code containing
ARM NEON intrinsic functions for x86 target systems using SIMD up to SSE4
intrinsic functions.

The NEON_2_SSE.h file is intended to simplify ARM->IA32 porting

%prep
%autosetup -n ARM_NEON_2_x86_SSE-%{commit}

cp %{SOURCE1} .

# fix path
sed -i 's/lib\/cmake/%{_lib}\/cmake/g' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%check
$CC -o test test.c -I%{buildroot}%{_includedir}
./test

%files devel
%license LICENSE
%doc ReadMe.md
%{_includedir}/NEON_2_SSE.h
%{_libdir}/cmake/NEON_2_SSE/

%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0^20240908git5042318-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0^20240908git5042318-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 17 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 0.0^20240908git5042318-1
- 1st release
## END: Generated by rpmautospec
